<?php

namespace LaraBB\Settings\UI\Web\Requests\Prefix;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\RedirectResponse;

/**
 * Class Destroy
 * @package LaraBB\Settings\UI\Web\Requests\Prefix
 */
class Destroy extends FormRequest
{
    /**
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * @return array
     */
    public function rules(): array
    {
        return [
            'uuid' => 'required|uuid|exists:settings_prefixes,uuid',
        ];
    }

    /**
     * @return array
     */
    public function messages(): array
    {
        return [
            'uuid.required' => 'Es wurde keine UUID übergeben.',
            'uuid.uuid'     => 'Die übergebene UUID ist ungültig.',
            'uuid.exists'   => 'Der zu bearbeitende Präfix existiert nicht.',
        ];
    }

    /**
     * @return RedirectResponse
     */
    public function success(): RedirectResponse
    {
        return redirect()->route('admin.settings.prefix')->with([
            'success' => 'Der Präfix wurde erfolgreich gelöscht.'
        ]);
    }

    /**
     * @return RedirectResponse
     */
    public function failed(): RedirectResponse
    {
        return redirect()->route('admin.settings.prefix')->with([
            'error' => 'Der Präfix konnte aufgrund einer technischen Störung nicht gelöscht werden.'
        ]);
    }
}
